<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd"
[
<!ENTITY patientLite SYSTEM 	"classpath://gov/va/med/cds/persistence/hibernate/common/PatientLitePojo.hbm">
]
>
<hibernate-mapping default-lazy="false" default-cascade="none">
    <class entity-name="surveyPatient" table="SURVEY_PATIENT" lazy="false" name="gov.va.med.cds.template.generated.surveyscommon.SurveyPatient">
        <id type="java.lang.Long" name="id">
            <column name="SURVEY_PATIENT_ID"/>
            <generator class="sequence" >
				<param name="sequence">survey_patient_seq_id</param>
			</generator>
        </id>
    
    	<property name="icn" column="ICN" type="java.lang.String"/>

        <component name="name" class="gov.va.med.cds.template.generated.surveyscommon.SurveyPersonName">
			<property name="family" column="FAMILY_NAME" type="java.lang.String" node="family" />
			<property name="given" column="GIVEN_NAME" type="java.lang.String" node="given" />
			<property name="middle" column="MIDDLE_NAME" type="java.lang.String" node="middle" />
		</component>

		<property name="ssn" column="SSN" type="java.lang.String"/>
		
		<property name="birthdate" column="BIRTH_DATE_DT" type="java.util.Date"/>
		<!-- <property name="birthDate" node="birthdate">
			<column name="BIRTH_DATE_DT"/>
			<type name="gov.va.med.cds.persistence.hibernate.common.Dom4jDateUserType">
				<param name="dateFormat">yyyy-MM-dd</param>
				<param name="nodeName">birthdate</param>
			</type>
		</property> -->

		<!-- 
	<property name="dateOfBirth" node="dateOfBirth">
		<column name="PATIENT_BIRTH_DATE"/>
		<column name="PATIENT_BIRTH_DATE_DT"/>
		<type name="gov.va.med.cds.persistence.hibernate.common.Dom4jLiteralWithUTCUserType">
			<param name="dateFormat">yyyy-MM-dd</param>
			<param name="nodeName">dateOfBirth</param>
		</type>
	</property>
	
		<property name="birthDate" type="java.util.GregorianCalendar" node="birthdate">
			<column name="BIRTH_DATE_DT"/>
		</property>
		 -->
		 
    </class>
    
 
</hibernate-mapping>
